classification
Title: links between binascii.{un,}hexlify / bytes.{,to}hex
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: chrysn, docs@python, rhettinger
Priority: normal Keywords:

Created on 2017-03-23 15:14 by chrysn, last changed 2018-12-26 01:56 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 785 closed python-dev, 2017-03-23 16:20
PR 11319 merged rhettinger, 2018-12-26 01:46
PR 11319 merged rhettinger, 2018-12-26 01:46
PR 11319 merged rhettinger, 2018-12-26 01:46
PR 11320 merged miss-islington, 2018-12-26 01:56
PR 11320 merged miss-islington, 2018-12-26 01:56
PR 11320 merged miss-islington, 2018-12-26 01:56
Messages (2)
msg290050 - (view) Author: chrysn (chrysn) * Date: 2017-03-23 15:14
The function binascii.{un,}hexlify and bytes.{,to}hex do almost the same things (plus/minus details of whether they accept whitespace, and whether the hex-encoded data is accepted/returned as strings or bytes).

I think that it would help users to point that out in the documentation, eg. by adding a "Similar functionality is provided by the ... function." lines at the ends of the functions' documentations.
msg332419 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-12-24 07:59
This is a reasonable suggestion.  Will apply the patch shortly.
History
Date User Action Args
2018-12-26 01:56:35miss-islingtonsetpull_requests: + pull_request10575
2018-12-26 01:56:28miss-islingtonsetpull_requests: + pull_request10574
2018-12-26 01:56:22miss-islingtonsetpull_requests: + pull_request10573
2018-12-26 01:46:37rhettingersetpull_requests: + pull_request10572
2018-12-26 01:46:32rhettingersetpull_requests: + pull_request10571
2018-12-26 01:46:26rhettingersetpull_requests: + pull_request10570
2018-12-24 07:59:38rhettingersetstatus: open -> closed

nosy: + rhettinger
messages: + msg332419

resolution: fixed
stage: resolved
2017-03-23 16:20:35python-devsetpull_requests: + pull_request689
2017-03-23 15:14:44chrysncreate